{% load static %} {% load markdownify %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>{{ recipe.name }} - Scrumptious</title>
    <link rel="stylesheet" href="{% static 'css/app.css' %}" />
  </head>
  {% comment %} {{'Some *test* [link](#)'|markdownify }} {% endcomment %}
  <body>
    <header>
      <nav>
        <ul>
          <li>
            <a href="{% url 'home' %}">Scrumptious</a>
          </li>
          <li>
            <a href="{% url 'admin:index' %}">Admin</a>
          </li>
          <li>
            <a href="{% url 'recipe_new' %}">Write a recipe</a>
          </li>
          <li>
            <a href="{% url 'tags_list'%}">Tags</a>
          </li>
        </ul>
      </nav>
    </header>
    <main class="recipe-detail">
      <div>
        <a href="{% url 'recipe_edit' recipe.id %}">Edit Recipe</a>
      </div>
      <div>
        <a href="{% url 'recipe_delete' recipe.id %}">Delete</a>
      </div>
      {% if recipe.image %}
      <img src="{{ recipe.image }}" class="pull-right" />
      {% endif %}
      <h1>{{ recipe.name }}</h1>
      <p>Created on {{ recipe.created }} | Updated on {{ recipe.updated }}</p>
      <form method="post" action="{% url 'recipe_rating' recipe.id %}">
        {% csrf_token %} {{ rating_form.as_p}}
        <button class="button">Rate</button>
      </form>
      <p>Tags: {% for tag in recipe.tags.all %}{{ tag.word }} {% endfor %}</p>
      {{ recipe.description|markdownify }}
      <h2>Ingredients</h2>
      <table>
        <thead>
          <tr>
            <th colspan="2">Amount</th>
            <th>Food item</th>
          </tr>
        </thead>
        <tbody>
          {% for ingredient in recipe.ingredients.all %}
          <tr>
            <td>{{ ingredient.amount }}</td>
            <td>{{ ingredient.measure.name }}</td>
            <td>{{ ingredient.food.name }}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      <h2>Steps</h2>
      <ol>
        {% for step in recipe.steps.all %}
        <li>{{ step.directions }}</li>
        {% endfor %}
      </ol>
    </main>
  </body>
</html>
